nz-card(nzTitle="Previous modules outputs data", nzBordered="false")
  nz-tabset(*ngIf="checkInputData(execution.inputData); else noData")
    nz-tab(*ngFor="let input of execution.inputData | keyvalue", nzTitle="{{ input.key }}")
      nz-table(#inputTable, [nzData]="input.value | keyvalue", nzShowPagination="false")
        tbody
          tr(*ngFor="let i of inputTable.data")
            td {{i.key}}
            td
              button(*ngIf="isDirectory(i.value.type)", nz-button, (click)="onShowModal()")
                span Download directory
              a(*ngIf="isFile(i.value.type)", [href]="i.value.value", download) Download file
              .flex.justify-between(*ngIf="isPassword(i.value.type)")
                span(*ngIf="!passwordVisibility") ••••••••
                span(*ngIf="passwordVisibility") {{ i.value.value }}
                ryax-action-button(size="small", shape="circle", [icon]="displayIcon", (click)="togglePasswordVisibility()")
              span(*ngIf="!isFile(i.value.type) && !isPassword(i.value.type)") {{ i.value.value }}

ng-template(#noData)
  nz-card.mt1(nzBordered="false")
    nz-empty(nzNotFoundContent="This execution does not use data from previous modules")
